#include "common/IFileStream.h"
#include "skyrim/VMScript.h"

IDebugLog	gLog("scriptdump.log");

bool g_swap;

int main(int argc, char ** argv)
{
	if(argc < 2)
	{
		_ERROR("usage: %s [src] <dst>", argv[0]);
		return 1;
	}

	if(argc >= 3)
	{
		gLog.Open(argv[2]);
		gLog.SetPrintLevel(IDebugLog::kLevel_Warning);
	}

	// right now it's big-endian but the loader supports both
	// future versions might change this?
	g_swap = true;

	const char	* srcPath = argv[1];

	IFileStream	src;
	if(src.Open(srcPath))
	{
		VMScript	script;

		script.Read(&src);
		script.Dump();

		_MESSAGE("remain: %016I64X", src.GetRemain());
	}
}
